@echo off

rem *******************************************************
rem ****** Determine Platform *****************************
rem *******************************************************

if "%PROCESSOR_ARCHITECTURE%" == "x86" goto Install32Bit
if "%PROCESSOR_ARCHITECTURE%" == "X86" goto Install32Bit
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" goto Install64Bit
goto UnknownArchitecture

rem *******************************************************
rem ****** Install 32 Bit *********************************
rem *******************************************************

:Install32Bit
certutil.exe -addstore TrustedPublisher Elatec.cer
dpinst32 /f /q /c
goto End

rem *******************************************************
rem ****** Install 64 Bit *********************************
rem *******************************************************

:Install64Bit
certutil.exe -addstore TrustedPublisher Elatec.cer
dpinst64 /f /q /c
goto End

rem *******************************************************
rem ****** Display Error **********************************
rem *******************************************************

:UnknownArchitecture
echo Unknown Architecture
echo 
pause

rem *******************************************************
rem ****** End ********************************************
rem *******************************************************

:End
